Bug 923084 - Review Request: python26-psutil - A process utilities module for Python (for EL5's Python26 stack)
Summary: Review Request: python26-psutil - A process utilities module for Python (for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-19 07:28 UTC by Michel Alexandre Salim
Modified: 2013-04-27 02:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 02:08:10 UTC
Type: ---
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2013-03-19 07:28:06 UTC
Spec URL: http://salimma.fedorapeople.org/specs/admin/python26-psutil.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/python26-psutil-0.6.1-1.fc18.src.rpm
Description:
psutil is a module providing an interface for retrieving information on all
running processes and system utilization (CPU, memory, disks, network, users) in
a portable way by using Python, implementing many functionalities offered by
command line tools such as: ps, top, df, kill, free, lsof, free, netstat,
ifconfig, nice, ionice, iostat, iotop, uptime, pidof, tty, who, taskset, pmap.

This packages builds psutil against the Python 2.6 stack for EL5 (https://fedoraproject.org/wiki/Python26) to support dependents such as glances which require higher versions of Python.

Fedora Account System Username: salimma

Comment 1 Peter Lemenkov 2013-04-08 14:17:16 UTC
Successful Koji scratchbuild for EL5:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=5226234

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is NOT silent, and his messages scares me a bit:


work ~/Desktop: rpmlint python26-psutil-* | grep -v spelling-error
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_psmswindows.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/error.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_psmswindows.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_compat.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_compat.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/__init__.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/error.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_psbsd.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_common.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_psosx.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_common.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_psosx.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_psbsd.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_pslinux.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_pslinux.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_psposix.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/_psposix.pyc expected 62161 (2.6), found 62061 (2.4)
python26-psutil.ppc: E: python-bytecode-wrong-magic-value /usr/lib/python2.6/site-packages/psutil/__init__.pyo expected 62161 (2.6), found 62061 (2.4)
python26-psutil.src: W: invalid-url Source0: http://psutil.googlecode.com/files/psutil-0.6.1.tar.gz HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 18 errors, 29 warnings.
work ~/Desktop:

It seems that it still uses py24 for producing optimized bytecode. Could you please comment on this?

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (BSD).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum psutil-0.6.1.tar.gz*
d665a4cc58c9a5d207fb0dc9869fc0ee10f4f66ad885e84886ef6339ccce0a6f  psutil-0.6.1.tar.gz
d665a4cc58c9a5d207fb0dc9869fc0ee10f4f66ad885e84886ef6339ccce0a6f  psutil-0.6.1.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.

-/+ The package SHOULD HAVE a %clean section, which must contain rm -rf %{buildroot} (or $RPM_BUILD_ROOT). See below

+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.

-/+ At the beginning of %install, the package  SHOULD run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). See below.

+ All filenames in rpm packages are valid UTF-8.

OK, so please comment on py24 issue. Also there is one thing I'm not sure - doe we still need adding rm -rf %{buildroot} in the %install and % clean sections. It builds fine w/o it but maybe it caused some issues with a mock/koji? Actually I'd like you to add them back - just to be sure.

Comment 2 Michel Alexandre Salim 2013-04-08 15:12:46 UTC
(In reply to comment #1)
> OK, so please comment on py24 issue. Also there is one thing I'm not sure -
> doe we still need adding rm -rf %{buildroot} in the %install and % clean
> sections. It builds fine w/o it but maybe it caused some issues with a
> mock/koji? Actually I'd like you to add them back - just to be sure.

I suspect it might be due to all those #!/usr/bin/env python headers. Will investigate -- didn't notice this earlier as, it appears, either Python bytecode is either mostly unchanged between 2.4 and 2.6, or Python will silently fall back to using *.py files if the bytecodes are invalid anyway -- this works fine with glances.

Good catch on the EPEL5-isms. Will add back the buildroot cleanup bits.

Comment 3 Michel Alexandre Salim 2013-04-08 15:53:48 UTC
Fixed package:
http://salimma.fedorapeople.org/specs/admin/python26-psutil-0.6.1-2.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5227101

rpmlint output:

python26-psutil.x86_64: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
python26-psutil.x86_64: W: spelling-error %description -l en_US ps -> PS, pa, pd
python26-psutil.x86_64: W: spelling-error %description -l en_US df -> sf, ff, dd
python26-psutil.x86_64: W: spelling-error %description -l en_US lsof -> ls of, ls-of, Folsom
python26-psutil.x86_64: W: spelling-error %description -l en_US netstat -> net stat, net-stat, nets tat
python26-psutil.x86_64: W: spelling-error %description -l en_US ifconfig -> configure
python26-psutil.x86_64: W: spelling-error %description -l en_US ionice -> ionic, ionize, ion ice
python26-psutil.x86_64: W: spelling-error %description -l en_US iostat -> station
python26-psutil.x86_64: W: spelling-error %description -l en_US iotop -> isotope
python26-psutil.x86_64: W: spelling-error %description -l en_US uptime -> up time, up-time, suppertime
python26-psutil.x86_64: W: spelling-error %description -l en_US pidof -> Fido
python26-psutil.x86_64: W: spelling-error %description -l en_US tty -> try, ttys, atty
python26-psutil.x86_64: W: spelling-error %description -l en_US taskset -> task set, task-set, taskmaster
python26-psutil.x86_64: W: spelling-error %description -l en_US pmap -> pap, map, p map
2 packages and 0 specfiles checked; 0 errors, 14 warnings.

Comment 4 Peter Lemenkov 2013-04-08 16:14:35 UTC
Ok, I don't see any other issues so this package is


APPROVED.

Comment 5 Michel Alexandre Salim 2013-04-09 04:55:21 UTC
Thanks!

New Package SCM Request
=======================
Package Name: python26-psutil
Short Description: A process utilities module for Python
Owners: salimma
Branches: el5
InitialCC:

Comment 6 Gwyn Ciesla 2013-04-09 11:56:26 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-11 07:02:54 UTC
python26-psutil-0.6.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-psutil-0.6.1-2.el5

Comment 8 Fedora Update System 2013-04-11 17:08:38 UTC
python26-psutil-0.6.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 9 Fedora Update System 2013-04-27 02:08:12 UTC
python26-psutil-0.6.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.